prmat {spatial} | R Documentation

## Evaluate Kriging Surface over a Grid

### Description

Evaluate Kriging surface over a grid.

### Usage

    prmat(obj, xl, xu, yl, yu, n)

### Arguments

`obj` | object returned by `surf.gls`
`xl` | limits of the rectangle for grid
`xu` |
`yl` |
`yu` |
`n` | use `n` x `n` grid within the rectangle

### Value

list with components `x`, `y` and `z` suitable for `contour` and `image`.

### References

Ripley, B. D. (1981) Spatial Statistics. Wiley.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`surf.gls`, `trmat`, `semat`

### Examples

    data(topo, package="MASS")
    topo.kr <- surf.gls(2, expcov, topo, d=0.7)
    prsurf <- prmat(topo.kr, 0, 6.5, 0, 6.5, 50)
    contour(prsurf, levels=seq(700, 925, 25))

[Package spatial version 7.2-45 Index]